/**
	\file
	\brief Contains Color and OpenCL::ImageFormat methods.
*/




#include "settings.h"




#if ( SETTING_OPENCL != 0 )




#include "color.h"
#include "opencl_converter.h"

#include <CL/cl.h>




namespace OpenCL {




/*==============================================================================
	OpenCL::ImageFormat static members
==============================================================================*/


template<>
cl_image_format const ImageFormat< COLOR_FORMAT_RGBA_8888 >::format = { CL_RGBA, CL_UNORM_INT8 };

template<>
cl_image_format const ImageFormat< COLOR_FORMAT_RGB_565 >::format = { CL_RGB, CL_UNORM_SHORT_565 };




}    // namespace OpenCL




#endif    // SETTING_OPENCL
